> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an API key detail



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/api-keys/{keyId}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/api-keys/{keyId}:
    get:
      summary: Get an API key detail
      operationId: getApiKey
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: keyId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: API key detail
      security:
        - cookieAuth: []
components:
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````